[gtk-engines] Use autoreconf instead custom script
- From: Javier Jardón <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk-engines] Use autoreconf instead custom script
- Date: Wed, 18 May 2011 11:59:51 +0000 (UTC)
commit 225e91002968041bebedd03c04556304ad6b80af
Author: Javier Jardón <jjardon gnome org>
Date: Wed May 18 12:55:06 2011 +0100
Use autoreconf instead custom script
autogen.sh | 84 +++++++++++------------------------------------------------
1 files changed, 16 insertions(+), 68 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index eca71cd..cbaf3e8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,80 +1,28 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-DIE=0
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-THEDIR=`pwd`
-cd $srcdir
+olddir=`pwd`
+cd "$srcdir"
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile GTK+."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
-}
-
-if automake-1.11 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.11
- ACLOCAL=aclocal-1.11
-elif automake-1.10 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.10
- ACLOCAL=aclocal-1.10
-elif automake-1.9 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.9
- ACLOCAL=aclocal-1.9
-elif automake-1.8 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.8
- ACLOCAL=aclocal-1.8
-elif automake-1.7 --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake-1.7
- ACLOCAL=aclocal-1.7
-else
- echo
- echo "You must have automake 1.7.x installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
fi
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile GTK+."
- echo "Get http://ftp.gnu.org/gnu/libtool/libtool-1.5.10.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have intltool installed to compile gtk-engines."
- DIE=1
-}
-
-
-if test "$DIE" -eq 1; then
- exit 1
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
fi
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
+mkdir -p4 m4
-libtoolize --force --copy
autopoint --force
-intltoolize --force --copy --automake
-
-
-$ACLOCAL $ACLOCAL_FLAGS
-autoconf
-autoheader
-$AUTOMAKE --add-missing
-cd $THEDIR
-
-$srcdir/configure --enable-maintainer-mode "$@"
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
-echo
-echo "Now type 'make' to compile themes"
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]